<?php

namespace Drupal\pwa_firebase\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a block for user disable notification.
 *
 * @Block(
 *   id = "notification_manager",
 *   admin_label = @Translation("Notification permission"),
 *   category = @Translation("User")
 * )
 */
class NotificationManagerBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#markup' => '<div class="btn-group notification_manager" role="group" aria-label="Notification permission">
           <span id="pwa_firebase_notifications" class="btn btn-success"><i class="fas fa-bell"></i> ' . $this->t('Enable notifications') . '</span>
           <span id="pwa_firebase_remove_token" class="btn btn-danger"><i class="fas fa-unlink"></i> ' . $this->t('Disable notification') . '</span>
        </div>',
    ];
  }

}
